#pragma once
#include "WorkspaceAccess.h"
#include "WorkspaceListAccess.h"

class CCGICommand :
	public CWorkspaceAccess
{
public:
	//	コンストラクタをまとめて定義
	DEFINE_COMMON_CONSTRUCTOR(CCGICommand);

	///////////////////////////////////////////////////////////////////////////////////////////////////
	//	プロパティ
	///////////////////////////////////////////////////////////////////////////////////////////////////
	//!	パス・ファイル名
	DEFINE_PROPERTY_METHOD_STR(PathFilter,			_U8("PathFilter"),			_U8(""));

	//!	ヘッダ
	DEFINE_PROPERTY_METHOD_STR(HeaderFilter,		_U8("HeaderFilter"),		_U8(""));

	//!	実行ファイルの検出(1だと、ヘッダフィルタは無効になる)
	DEFINE_PROPERTY_METHOD_INT(WindowsExecutable,	_U8("WindowsExecutable"),	0);

	//!	コマンド
	DEFINE_PROPERTY_METHOD_STR(CGICommand,			_U8("CGICommand"),			_U8(""));
};

//!	リスト型
typedef CWorkspaceTypedListAccess<CCGICommand, CWTLAName<'C', 'G', 'I'>>CCGICommandList;
